"use strict";
// Licensed to the Software Freedom Conservancy (SFC) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The SFC licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.opts = exports.displayName = void 0;
const side_code_export_1 = require("side-code-export");
const command_1 = __importDefault(require("./command"));
const code_export_csharp_commons_1 = require("@seleniumhq/code-export-csharp-commons");
const hook_1 = __importDefault(require("./hook"));
// Define language options
exports.displayName = 'C# NUnit';
exports.opts = {
    displayName: exports.displayName,
    name: 'csharp-nunit',
    emitter: command_1.default,
    hooks: (0, side_code_export_1.generateHooks)(hook_1.default),
    fileExtension: '.cs',
    commandPrefixPadding: '  ',
    terminatingKeyword: '}',
    commentPrefix: '//',
    generateFilename: (name) => {
        return `${side_code_export_1.codeExport.parsers.capitalize(side_code_export_1.codeExport.parsers.sanitizeName(name))}Test${exports.opts.fileExtension}`;
    },
    generateMethodDeclaration: (name) => {
        return `public void ${side_code_export_1.codeExport.parsers.sanitizeName(name)}() {`;
    },
    generateTestDeclaration: (name) => {
        return `[Test]\npublic void ${side_code_export_1.codeExport.parsers.uncapitalize(side_code_export_1.codeExport.parsers.sanitizeName(name))}() {`;
    },
    generateSuiteDeclaration: (name) => {
        return `[TestFixture]\npublic class ${side_code_export_1.codeExport.parsers.capitalize(side_code_export_1.codeExport.parsers.sanitizeName(name))}Test {`;
    },
};
// Emit an individual test, wrapped in a suite (using the test name as the suite name)
exports.default = (0, side_code_export_1.languageFromOpts)(exports.opts, code_export_csharp_commons_1.location.emit);
//# sourceMappingURL=index.js.map